#
# spec file for package rubygem-yard
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-yard
Version:        0.8.7.3
Release:        5.22
%define mod_name yard
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://yardoc.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Patch0:         yard-do-not-record-timestamps.diff
Summary:        Documentation tool for consistent and usable documentation in Ruby
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
YARD is a documentation generation tool for the Ruby programming language.
It enables the user to generate consistent, usable documentation that can be
exported to a number of formats very easily, and also supports extending for
custom Ruby constructs such as custom class level definitions.

%prep
%gem_unpack
%patch0 -p1
%gem_build

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE LEGAL README.md" \
  -f

%gem_packages

%changelog
* Mon May 18 2015 olaf@aepfle.de
- add yard-do-not-record-timestamps.diff to avoid always changing
  yast documentation (bnc#931226)
* Tue Jul 15 2014 mrueckert@suse.com
- regenerate with new template
* Wed Jun 25 2014 mrueckert@suse.de
- move to SLE 12 packaging schema
* Fri Nov 22 2013 coolo@suse.com
- updated to version 0.8.7.3
  - Handle Unicode method/class/file names in server URL encoding (lsegal/rubydoc.info#69).
  - Style keyword style hashes with same symbol color in code highlighting (#707).
  - Fix broken JS when visiting docs in file:// scheme (#706).
  - Add support for new AsciiDoc file extensions (#704).
  - Fix issues where non-Ruby code blocks would not display in Ruby 2 (#702).
  - Add support for extra Ruby 2 symbol types in Ripper (#701).
  - Ensure config directory exists before saving config file (#700).
* Sun Oct 20 2013 coolo@suse.com
- updated to version 0.8.7.2
  - Disallow absolute URLs when using frame anchor support.
  - Support casted functions in CRuby method declarations (#697)
* Fri Sep 13 2013 coolo@suse.com
- updated to version 0.8.7.1
  - Fix potential XSS issue with frame anchor support.
  - Add support for gettext 3.x gem.
* Tue Jul 30 2013 coolo@suse.com
- updated to version 0.8.7
  - Added `--hide-api API` option to hide objects with a given `@api` tag (#685).
  - Added "Returns ...." prefix to summary when a lone @return tag is used.
  - Fixed issue that caused ref tags to be added to a docstring twice (#678).
  - Fixed formatting issue in docstring summaries (#686)
* Fri Jul 12 2013 coolo@suse.com
- updated to version 0.8.6.2
  - Fixed issue where `yard graph` was not displaying methods
* Sun Apr 21 2013 coolo@suse.com
- updated to version 0.8.6.1
  * *Added `--layout` to `yard display` command**
* Sun Apr 14 2013 coolo@suse.com
- updated to version 0.8.6
* Sun Mar  3 2013 coolo@suse.com
- updated to version 0.8.5.2
* Sat Feb  9 2013 coolo@suse.com
- updated to version 0.8.4.1
  * See ChangeLog for details (git log basically)
* Mon Oct 15 2012 coolo@suse.com
- updated to version 0.8.3
  * See ChangeLog for details (git log basically)
* Thu Sep 27 2012 coolo@suse.com
- update to 0.8.2.1:
  * See ChangeLog for details (git log basically)
- switch to new gem2rpm template
* Fri Apr 13 2012 saschpe@suse.de
- Update to version 0.7.5:
  * See ChangeLog for details
- Provide rubygem-yard-0_7
* Fri Aug 26 2011 fcastelli@novell.com
- update to 0.7.2
* Tue Apr 26 2011 mrueckert@suse.de
- update to 0.6.8
  too many changes to list here please see
  /usr/lib*/ruby/gems/1.8/gems/yard-0.6.8/ChangeLog
- drop unneeded buildrequires on rubygem-rdoc
- moved docs and testsuite in subpackages
* Sat Mar 19 2011 kkaempf@novell.com
- Fix the build for 11.4 by using newer rdoc
* Tue Sep 14 2010 mrueckert@suse.de
- update to version 0.6.1
  too many changes to list here please see
  /usr/lib*/ruby/gems/1.8/gems/yard-0.6.1/ChangeLog
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.5.6
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Jan 15 2010 dmacvicar@novell.com
- update to 0.5.3
  * Incremental parsing and output generation with yardoc -c
  * Generating HTML docs now adds frames view
  * Tree view for class list
  * Ability to specify markup format of extra files
* Thu Dec 24 2009 prusnak@suse.cz
- update to 0.5.2
* Mon Nov 16 2009 mrueckert@suse.de
- update to 0.4.0
* Thu Aug  6 2009 dmacvicar@novell.com
- initial package
